ContractUpgradeFilteredTransaction
Keywords: net.corda.core.transactions.ContractUpgradeFilteredTransaction class
Date: 2023-09-18

net.corda.core.transactions

## Class ContractUpgradeFilteredTransaction

- net.corda.core.transactions.BaseTransaction
- - net.corda.core.transactions.CoreTransaction
  - - net.corda.core.transactions.ContractUpgradeFilteredTransaction

- All Implemented Interfaces:
    NamedByHash

      public class ContractUpgradeFilteredTransaction
      extends CoreTransaction

  A filtered version of the `class ContractUpgradeWireTransaction`. In comparison with a regular `class FilteredTransaction`, there is no flexibility on what parts of the transaction to reveal – the inputs, notary and network parameters hash fields are always visible and the rest of the transaction is always hidden. Its only purpose is to hide transaction data when using a non-validating notary.

  See Also:
    `class ContractUpgradeWireTransaction`, `class FilteredTransaction`

- - ### Constructor Detail

    - #### ContractUpgradeFilteredTransaction

          public ContractUpgradeFilteredTransaction(@NotNull
                                                    java.util.Map<java.lang.Integer,net.corda.core.transactions.ContractUpgradeFilteredTransaction.FilteredComponent> visibleComponents,
                                                    @NotNull
                                                    java.util.Map<java.lang.Integer,? extends net.corda.core.crypto.SecureHash> hiddenComponents,
                                                    @NotNull
                                                    DigestService digestService)

      A filtered version of the `class ContractUpgradeWireTransaction`. In comparison with a regular `class FilteredTransaction`, there is no flexibility on what parts of the transaction to reveal – the inputs, notary and network parameters hash fields are always visible and the rest of the transaction is always hidden. Its only purpose is to hide transaction data when using a non-validating notary.

      Parameters:
        `visibleComponents` - Transaction components that are exposed.
        `hiddenComponents` - Hashes of the transaction components that are not revealed in this transaction.Required for computing the transaction id.
      See Also:
        `class ContractUpgradeWireTransaction`, `class FilteredTransaction`

    - #### ContractUpgradeFilteredTransaction

          public ContractUpgradeFilteredTransaction(@NotNull
                                                    java.util.Map<java.lang.Integer,net.corda.core.transactions.ContractUpgradeFilteredTransaction.FilteredComponent> visibleComponents,
                                                    @NotNull
                                                    java.util.Map<java.lang.Integer,? extends net.corda.core.crypto.SecureHash> hiddenComponents)

      Old version of `class ContractUpgradeFilteredTransaction` constructor for ABI compatibility.

      See Also:
        `class ContractUpgradeFilteredTransaction`

  - ### Method Detail

    - #### copy

          @NotNull
          public ContractUpgradeFilteredTransaction copy(@NotNull
                                                                  java.util.Map<java.lang.Integer,net.corda.core.transactions.ContractUpgradeFilteredTransaction.FilteredComponent> visibleComponents,
                                                                  @NotNull
                                                                  java.util.Map<java.lang.Integer,? extends net.corda.core.crypto.SecureHash> hiddenComponents)

      Old version of `ContractUpgradeFilteredTransaction.copy` for ABI compatibility.

      See Also:
        `ContractUpgradeFilteredTransaction.copy`

    - #### getInputs

          @NotNull
          public java.util.List<net.corda.core.contracts.StateRef> getInputs()

      The inputs of this transaction, containing state references only.

    - #### getNotary

          @NotNull
          public Party getNotary()

      If present, the notary for this transaction. If absent then the transaction is not notarised at all. This is intended for issuance/genesis transactions that don't consume any other states and thus can't double spend anything.

    - #### getNetworkParametersHash

          @Nullable
          public SecureHash getNetworkParametersHash()

      Hash of the network parameters that were in force when the transaction was notarised. Null means, that the transaction was created on older version of Corda (before 4), resolution will default to initial parameters.

    - #### getId

          @NotNull
          public SecureHash getId()

    - #### getOutputs

          @NotNull
          public java.util.List<net.corda.core.contracts.TransactionState> getOutputs()

      Ordered list of states defined by this transaction, along with the associated notaries.

    - #### getReferences

          @NotNull
          public java.util.List<net.corda.core.contracts.StateRef> getReferences()

      The reference inputs of this transaction, containing the state references only.

    - #### getVisibleComponents

          @NotNull
          public java.util.Map<java.lang.Integer,net.corda.core.transactions.ContractUpgradeFilteredTransaction.FilteredComponent> getVisibleComponents()

      Transaction components that are exposed.

    - #### getHiddenComponents

          @NotNull
          public java.util.Map<java.lang.Integer,net.corda.core.crypto.SecureHash> getHiddenComponents()

      Hashes of the transaction components that are not revealed in this transaction.

      Required for computing the transaction id.

    - #### getDigestService

          @NotNull
          public DigestService getDigestService()

    - #### component1

          @NotNull
          public java.util.Map<java.lang.Integer,net.corda.core.transactions.ContractUpgradeFilteredTransaction.FilteredComponent> component1()

      Transaction components that are exposed.

    - #### component2

          @NotNull
          public java.util.Map<java.lang.Integer,net.corda.core.crypto.SecureHash> component2()

      Hashes of the transaction components that are not revealed in this transaction.

      Required for computing the transaction id.

    - #### component3

          @NotNull
          public DigestService component3()

    - #### copy

          @NotNull
          public ContractUpgradeFilteredTransaction copy(@NotNull
                                                                  java.util.Map<java.lang.Integer,net.corda.core.transactions.ContractUpgradeFilteredTransaction.FilteredComponent> visibleComponents,
                                                                  @NotNull
                                                                  java.util.Map<java.lang.Integer,? extends net.corda.core.crypto.SecureHash> hiddenComponents,
                                                                  @NotNull
                                                                  DigestService digestService)

      A filtered version of the `class ContractUpgradeWireTransaction`. In comparison with a regular `class FilteredTransaction`, there is no flexibility on what parts of the transaction to reveal – the inputs, notary and network parameters hash fields are always visible and the rest of the transaction is always hidden. Its only purpose is to hide transaction data when using a non-validating notary.

      See Also:
        `class ContractUpgradeWireTransaction`, `class FilteredTransaction`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A filtered version of the `class ContractUpgradeWireTransaction`. In comparison with a regular `class FilteredTransaction`, there is no flexibility on what parts of the transaction to reveal – the inputs, notary and network parameters hash fields are always visible and the rest of the transaction is always hidden. Its only purpose is to hide transaction data when using a non-validating notary.

      See Also:
        `class ContractUpgradeWireTransaction`, `class FilteredTransaction`

    - #### hashCode

          public int hashCode()

      A filtered version of the `class ContractUpgradeWireTransaction`. In comparison with a regular `class FilteredTransaction`, there is no flexibility on what parts of the transaction to reveal – the inputs, notary and network parameters hash fields are always visible and the rest of the transaction is always hidden. Its only purpose is to hide transaction data when using a non-validating notary.

      See Also:
        `class ContractUpgradeWireTransaction`, `class FilteredTransaction`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A filtered version of the `class ContractUpgradeWireTransaction`. In comparison with a regular `class FilteredTransaction`, there is no flexibility on what parts of the transaction to reveal – the inputs, notary and network parameters hash fields are always visible and the rest of the transaction is always hidden. Its only purpose is to hide transaction data when using a non-validating notary.

      See Also:
        `class ContractUpgradeWireTransaction`, `class FilteredTransaction`